package Authorization;

import java.awt.event.*;
import java.awt.*;
import javax.swing.*;

import java.sql.*;

public class Workspace {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws SQLException {
		MainFrame frame = new MainFrame();
		frame.Draw();
		
		

	}
}
	
class SimpleFrame extends JFrame
{
	public SimpleFrame( int Width , int Height , String title )
	{
		Dimension screensize = Toolkit.getDefaultToolkit().getScreenSize();
		setSize(Width,Height);
		setLocation((screensize.width - Width)/2 ,(screensize.height-Height)/2);
		setTitle(title);
		
	}
	
}

class Terminate implements ActionListener
{	
	public void actionPerformed(ActionEvent event)
	{
		System.exit(0);
	}
}

class Authorize extends MainFrame implements ActionListener
	{
	JTextField Login,Password;
	Connection conn;
	
	public Authorize( JTextField log, JTextField pass, Connection connection ) 
	{
		Login = log;
		Password = pass;
		conn = connection;	
		
	}
	
	
	
 boolean CheckData() throws SQLException
	{
		MainFrame Dr = new MainFrame();
		Statement stat  = conn.createStatement();
		ResultSet rs;
		boolean fl= false;
		rs = stat.executeQuery("SELECT * FROM Auth");
		Dr.Draw_Auth_Frame();
		while(rs.next())
		{
			if (rs.getString(1).equals(Login) && rs.getString(2).equals(Password))
			{fl =  true;
			Dr.Draw_Auth_Frame();
			
			}
			
			else 
			fl =  false;
			rs.next();
		}
		rs.close();
		return fl;		
	}
	
	public void actionPerformed(ActionEvent event)
	{	
		MainFrame frame = new MainFrame();
		if (Login.getText().equals("") && Password.getText().equals("")){
			frame.Draw_Auth_Frame();
		System.out.println("Dbg!!!!!");}
		
	}
	
}

 class InsertUser implements ActionListener 
{
	String query, query1;
	int id;
	JTextField name,sname,tel,pay;
	static Connection conn;
	
	public static boolean TableExists ( String name , Connection conn) throws SQLException
	{
	 boolean fl = false;
	 ResultSet MetaRes  = conn.getMetaData().getTables(null, null, name , new String [] { "TABLE" });
	 while(MetaRes.next())
	 {
	  if (name.equals(MetaRes.getString(3)))
	  fl = true;
	  System.out.println("Founded: "+name);
	 }
	 return fl;
	}
	
	public InsertUser(JTextField name_t, JTextField sname_t,JTextField phone_t,Connection s)
	{
		
		name = name_t;
		sname = sname_t;
		tel = phone_t;
		conn = s;
		
	}
	
	public void actionPerformed(ActionEvent event)
	{
		
		try{
			id= (int)(Math.round(Math.random()*100));
			Statement st = conn.createStatement(); 
			
			
			if (TableExists("Users", conn))
				query1 = "INSERT INTO Users VALUES ('"+id+"' , '"+name.getText()+"' , '"+sname.getText()+"' , '"+tel.getText()+"')";
				query = "CREATE TABLE Users ( Id INT PRIMARY KEY, name CHAR(20)  , sname CHAR(40) , Phone CHAR(9) )"; 
			System.out.println("Add "+!st.execute(query)+" id: "+id);
			st.execute(query1);
		} 
		catch (SQLException e) 
		{
			e.printStackTrace();
		}
		
	}
}
class MainFrame
{ JTextField tfId ;
JTextField tfPwd;
Connection conn;
	public void Draw() throws SQLException
	{
		SimpleFrame frame = new SimpleFrame(500,400,"Admin Session");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
		JPanel panel = new JPanel();
		JPanel panelEdit = new JPanel();
		JButton btClose = new JButton("Close");
		JButton btOk = new JButton("Ok");
		JTextField tfId = new JTextField("",6);
		JTextField tfPwd = new JTextField("",12);
		

		//Setting panel orientation
		panel.setLayout(new FlowLayout(FlowLayout.CENTER));
		panelEdit.setLayout(new GridLayout(2,2));

		// Add Buttons
		
		btOk.setBackground(Color.YELLOW);
		btClose.setBackground(Color.YELLOW);		
		//	Listeners of buttons

		btClose.addActionListener(new Terminate());
		btOk.addActionListener(new Authorize(tfId, tfPwd, conn));
		
		panel.setBackground(Color.darkGray);
		panel.add(btOk);
		panel.add(btClose);
		
		
		// Add EditBoxes
		panelEdit.add(new JLabel(" Nick"));
		panelEdit.add(tfId);
		panelEdit.add(new JLabel(" Password"));
		panelEdit.add(tfPwd);
		
		frame.setLayout(new BorderLayout());
		frame.add(panel, BorderLayout.SOUTH);
		frame.add(panelEdit, BorderLayout.CENTER);
		frame.pack();

		
	}
	public void Draw_Auth_Frame() {
		SimpleFrame frame = new SimpleFrame(500,400," ");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
		JPanel panel = new JPanel();
		JPanel panelEdit = new JPanel();
		JButton btAdd = new JButton("Add User");
		JTextField tfName = new JTextField("", 20);
		JTextField tfSName = new JTextField("", 40);
		JTextField tfNumber = new JTextField("", 9);
		
		
		//Setting panel orientation
		panel.setLayout(new FlowLayout(FlowLayout.CENTER));
		panelEdit.setLayout(new GridLayout(3,3));

		// Add Buttons
		
		btAdd.setBackground(Color.YELLOW);	
		//	Listeners of buttons

		btAdd.addActionListener(new InsertUser(tfName, tfSName, tfNumber, conn));
		//this.Draw_Auth_Frame();
			
		//}
		panel.setBackground(Color.darkGray);
		panel.add(btAdd);
		
		
		// Add EditBoxes
		panelEdit.add(new JLabel("Name"));
		panelEdit.add(tfName);
		panelEdit.add(new JLabel("Surname"));
		panelEdit.add(tfSName);
		panelEdit.add(new JLabel("Telefone Number"));
		panelEdit.add(tfNumber);
		
		frame.setLayout(new BorderLayout());
		frame.add(panel, BorderLayout.SOUTH);
		frame.add(panelEdit, BorderLayout.CENTER);
		frame.pack();
	}
	
	
}


