package Fill_Up_Table;
import java.sql.*;
import java.io.*;
import java.util.*;

public class DB_root 
{

     /**
      * @param args
      */
     public static void main(String[] args) 
     {
          try
          {
               runTest();
          }
          catch (SQLException e)
          {
               while (e !=null)
               {
                    e.printStackTrace();
                    e = e.getNextException();
               }
          }
          catch (IOException e)
          {
               e.printStackTrace();
          }
     }

public static Connection getConnection() throws SQLException,IOException
{
     try {
          Class.forName("org.postgresql.Driver");
     } catch (ClassNotFoundException e) {
          e.printStackTrace();
     }
     String url = "jdbc:postgresql:COREJAVA";
     String username = "postgre";
     String password = "12345";
     Connection conn  = DriverManager.getConnection(url, username, password);
     return conn;
}
/*
 * @param name Contains Searched Table
 * @param conn Contains our DB connection
 * @return true if Table "name" exists
 */
public static boolean TableExists ( String name , Connection conn) throws SQLException
{
     boolean fl = false;
     ResultSet MetaRes  = conn.getMetaData().getTables(null, null, name , new String [] { "TABLE" });
     while(MetaRes.next())
     {
          if (name.equals(MetaRes.getString(3)))
          fl = true;
          System.out.println("Founded: "+name);
     }
     return fl;
}

public static void runTest() throws SQLException,IOException
{
     Connection conn = getConnection();
     try
     {
          
          Statement stat = conn.createStatement();   
          ResultSet result;
          boolean fl = TableExists("table_1",conn);
          if (!fl)
               stat.execute("CREATE TABLE Table_1 ( us CHAR(50)  , Id INT PRIMARY KEY , Phone CHAR(9) )");
          
          Scanner input = new Scanner(System.in);
          String name=" ";
          String tel;
          while(name.equals("EXIT")==false)
          {
               int id = (int)Math.round(Math.random()*1000);
               System.out.println("Name(50):");
               name = input.nextLine();
               System.out.println("Phone(9):");
               tel  =input.nextLine();
               if (tel.length()<=9 && name.length()<=50 && !name.equals("EXIT"))
               stat.execute(
                    "INSERT INTO Table_1 VALUES ('"+name+"' , '"+id+"' , '"+tel+"')");
               else System.out.println("Too many characters! - retype or halt");
               result = stat.executeQuery("SELECT * FROM Table_1");
               result.next();
          }
          stat.execute("CREATE TABLE Auth ( Adm CHAR(50), Password CHAR(9) )");
          stat.execute( "INSERT INTO Auth VALUES ('Bibl', 'Bibl')");
     }
     
     finally
     {
          conn.close();
     }  
}
}
